import React, { useEffect } from 'react';
import PropTypes from 'prop-types';
import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';

import {
  fetchData as fetchDataAction,
} from '../redux/actions/fetch';
import About from '../components/About';

const Container = ({
  fetchData,
}) => {
  useEffect(() => {
    fetchData();
  }, []);

  return (
    <About lastUpdate={1111111} />
  );
};

Container.propTypes = {
  fetchData: PropTypes.func.isRequired,
};

const mapStateToProps = () => ({});
const mapDispatchToProps = dispatch => ({
  fetchData: bindActionCreators(fetchDataAction, dispatch),
});

export default connect(
  mapStateToProps,
  mapDispatchToProps,
)(Container);
